package sun.java2d.pipe;

import java.awt.image.BufferedImageOp;
import java.awt.image.BufferedImage;
import java.awt.geom.AffineTransform;
import java.awt.image.ImageObserver;
import java.awt.Color;
import java.awt.Image;
import sun.java2d.SunGraphics2D;

public interface DrawImagePipe
{
    public abstract boolean copyImage(SunGraphics2D p0, Image p1, int p2, int p3, Color p4, ImageObserver p5);
    
    public abstract boolean copyImage(SunGraphics2D p0, Image p1, int p2, int p3, int p4, int p5, int p6, int p7, Color p8, ImageObserver p9);
    
    public abstract boolean scaleImage(SunGraphics2D p0, Image p1, int p2, int p3, int p4, int p5, Color p6, ImageObserver p7);
    
    public abstract boolean scaleImage(SunGraphics2D p0, Image p1, int p2, int p3, int p4, int p5, int p6, int p7, int p8, int p9, Color p10, ImageObserver p11);
    
    public abstract boolean transformImage(SunGraphics2D p0, Image p1, AffineTransform p2, ImageObserver p3);
    
    public abstract void transformImage(SunGraphics2D p0, BufferedImage p1, BufferedImageOp p2, int p3, int p4);
}
